#include <iostream>;

using namespace std;

int main() {
	int n, k;
	cin>>n>>k;
	
	int bri=0;
	int a[2*n+1];
	int b[2*n+1];
	
	for(int i=0; i<2*n+1; i++){
		a[i]=0;
		b[i]=0;
	}
	
	for(int i=0; i<n; i++){
		int br;
		cin>>br;
		
		a[br+n]++;
		if(a[br+n]==k){
			b[br+n]=1;
			bri++;
		}
	}
	
	cout<<bri<<endl;
	for(int i=0; i<2*n+1; i++){
		if(b[i]==1){
			cout<<i-n<<" ";
		}
	}
	
	return 0;
}